org.eclipse.graphiti.ui.internal.editor

## Class RefreshPerformanceCache

- java.lang.Object
- - org.eclipse.graphiti.ui.internal.editor.RefreshPerformanceCache

    public class RefreshPerformanceCache
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`RefreshPerformanceCache()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `initRefresh()` Inits the refresh.
`boolean` `shouldRefresh(java.lang.Object obj)` Answers if a refresh should be triggered for an object of type `GraphicsAlgorithm` `PictogramElement` `EditPart` If the supplied argument is of another type an `IllegalArgumentException` is thrown.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RefreshPerformanceCache

    public RefreshPerformanceCache()

### Method Detail

#### initRefresh

    public void initRefresh()

Inits the refresh.

#### shouldRefresh

    public boolean shouldRefresh(java.lang.Object obj)

Answers if a refresh should be triggered for an object of type

- `GraphicsAlgorithm`
- `PictogramElement`
- `EditPart`

If the supplied argument is of another type an `IllegalArgumentException` is thrown.

Parameters:
  `obj` -
Returns:
  true if the supplied object should be refreshed, false otherwise.